## com.bbn.openmap.graphicLoader.netmap
Class NodeCache

    java.lang.Object
      com.bbn.openmap.graphicLoader.netmap.NodeCache

public class NodeCache
extends java.lang.Object

A holder for all the nodes on the map. Cache is smart enough to modify or add a node based on a description.

Method Summary
`Node` `add(java.lang.String label, int index, int shape, int menu, int color)`
`void` `del(int index)`
`void` `del(Node node)`
`void` `del(java.lang.String label)`
`java.util.Enumeration` `elements()`
`void` `flush()`
`Node` `get(int index)`
`Node` `get(java.lang.String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### flush

    public void flush()

### elements

    public java.util.Enumeration elements()

### add

    public Node add(java.lang.String label,
                    int index,
                    int shape,
                    int menu,
                    int color)

### get

    public Node get(int index)

### get

    public Node get(java.lang.String label)

### del

    public void del(java.lang.String label)

### del

    public void del(int index)

### del

    public void del(Node node)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details